QGIS Application - Bug report #12097
QGIS -> lllustrator CC problems with line and marker widths
2015-01-29 03:19 PM - Oskar Karlin

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.1 Regression?: No
Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20292
Description

I first put this question over at Gis.stackexchange.com ( http:/gis.stackexchange.com/questions/123666/ ) since | believed this was a bug
in lllustrator. It might still be a bug in lllustrator but Larry Shaffer (dakcarto) suggested I'd make a report here.

OK, so I'm making printed maps using QGIS and lllustrator CC 2014. Since | want to be able to alter texts and keep the layers intact I'm
stuck with the SVG export. When | export an SVG using the print composer a line which is 0.1 mm (or 5 m if using Map Unit) in QGIS is
shown in the SVG file (when | open it in a text editor) as stroke-width="1.18114" (it differs when using different extents when using Map
Units, that's another ticket though). Where this size 1.18... comes from | don't understand but | guess it might have to do with the viewBox
setting in the <svg> tag?

lllustrator interprets this as 1.18114 pt width which is 0.417 mm which is very thick compared to the map in QGIS. There was a
suggestion that lllustrator misunderstand mm for pt but | can't see the correlation there. If i change from mm to pt, the line becomes 0.147
mm which still is far from all right.

If 1 open the SVG in Inkscape it all looks good. But if | remove the ViewBox attribute in the SVG, Inkscape shows the lines as 1.18114 px.

| tried to alter the ViewBox values from "0 0 3507 2480" (A4 landscape) to "0 0 1237 875" (from pt width to mm width), then it all looks
good in lllustrator apart from that the actual map is way larger than A4...

When | make a SVG document from scratch in Inkscape and save an SVG, there are no ViewBox attribute in that file and lllustrator seem
to handle it perfect.

So my question is, how do | get it to look great in lllustrator without having to resize all my lines? Is this primarily an lllustrator issue or
would it be possible to create SVG files without that ViewBox attribute and the "right" widths of the file?

I'm attaching two images, one showing how it should look like and one showing what it looks like in lllustrator after importing.

History

#1 - 2015-01-29 03:46 PM - Oskar Karlin

If i fool lllustrator and change the <svg> width from 296.926mm to 1122.24mm (mm -> px) and do the same with height, the map looks good in lllustrator
except that it's now 1122.24mm wide instead of 296.926mm. If | re-scale the map to fit 296.926 mm wide, it all looks good in lllustrator.

But | guess there should be a better way to solve this....?

#2 - 2015-06-04 12:33 AM - Juirgen Fischer
- Category set to Map Composer/Printing
#3 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
